#1775 XML javacc parser prints out lots of crap to stdout

None
closed-fixed
Eric Le Lay
None
5
2014-08-24
2014-02-06
Alan Ezust
No

Try editing an XML file and forget the closing tag of one of your elements,
and parse. You get this in the standard output.
the error is also properly handled and displayed in errorlist.
It comes from javacc-generated code.

8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: xml.parser.javacc.ParseException: Encountered " The Loader creates a new context, and sets itself as a context" at line 66, column 5.
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: Was expecting:
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: <TAG_START> ...
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0:
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at xml.parser.javacc.XmlParser.generateParseException(XmlParser.java:677)
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at xml.parser.javacc.XmlParser.jj_consume_token(XmlParser.java:557)
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at xml.parser.javacc.XmlParser.Tag(XmlParser.java:280)
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at xml.SideKickTagHighlight.getMatch(SideKickTagHighlight.java:95)
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at org.gjt.sp.jedit.textarea.TextArea.updateStructureHighlight(TextArea.java:5666)
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at org.gjt.sp.jedit.textarea.TextArea.access$900(TextArea.java:75)
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at org.gjt.sp.jedit.textarea.TextArea$4.actionPerformed(TextArea.java:6698)
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at javax.swing.Timer.fireActionPerformed(Timer.java:312)
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at javax.swing.Timer$DoPostEvent.run(Timer.java:244)
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)

Discussion

  • Alan Ezust
    Alan Ezust
    2014-02-06

    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -1,4 +1,7 @@
    -It comes from javacc-generated code, but does it really have to be printed to stdout, or can we properly catch the exception? 
    +Try editing an XML file and forget the closing tag of one of your elements,
    +and parse. You get this in the standard output. 
    +the error is also properly handled and displayed in errorlist.
    +It comes from javacc-generated code.
    
     8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: xml.parser.javacc.ParseException: Encountered " The Loader creates a new context, and sets itself as a context" at line 66, column 5.
     8:11:29 PM [AWT-EventQueue-0] [error] AWT-EventQueue-0: Was expecting:
    
    • Group: -->
     
  • Eric Le Lay
    Eric Le Lay
    2014-03-06

    This is caused by a stray pe.printStackTrace() in xml/parser/javacc/XmlParser.jj
    I'll fix it and regenerate the javacc parser.

     
  • Eric Le Lay
    Eric Le Lay
    2014-03-06

    • assigned_to: Eric Le Lay
     
  • Eric Le Lay
    Eric Le Lay
    2014-03-06

    • status: open --> pending-fixed
     
  • Eric Le Lay
    Eric Le Lay
    2014-03-06

    fixed in [r23429]

     

    Related

    Commit: [r23429]

  • Alan Ezust
    Alan Ezust
    2014-03-10

    nice that the stack traces are gone, but the error message which correctly shows up in the ErrorList is still unnecessarily printed to Stdout.

     
  • Eric Le Lay
    Eric Le Lay
    2014-04-18

    • status: pending-fixed --> closed-fixed
     
  • Eric Le Lay
    Eric Le Lay
    2014-04-18

    Last error message was fixed in [r23435].
    Version 2.8.7 has been released

     

    Related

    Commit: [r23435]